lengthscale = 1e6*1000;

tstep=1;

for tt=1:tstep:Nsamples,
   plot(xv_out(:,1)/lengthscale,xv_out(:,2)/lengthscale,'k-')
   hold on
   plot(xv_out(tt,1)/lengthscale,xv_out(tt,2)/lengthscale,'.y','MarkerSize',100) 
   plot(xv_out(:,3)/lengthscale,xv_out(:,4)/lengthscale,'k-')
   plot(xv_out(tt,3)/lengthscale,xv_out(tt,4)/lengthscale,'.b','MarkerSize',50) 
   plot(xv_out(:,5)/lengthscale,xv_out(:,6)/lengthscale,'k-')
   plot(xv_out(tt,5)/lengthscale,xv_out(tt,6)/lengthscale,'.r','MarkerSize',30) 
   hold off
   xlabel(['x[10^6 km]'])
   ylabel(['y[10^6 km]'])
   daspect([ 1 1 1])
   title(['time t=',num2str(tsamples(tt)/year_in_seconds),' years'])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
   
   dump = input(['press ENTER'])
end



